Description

Hi.

I have a problem when I try mark a host "provisioned"

# wget -O /dev/null --no-check-certificate "http://XXXXXX/unattended/built?spoof=XXXXX" 

--2013-03-04 17:19:00--  http://XXXXXXXXX/unattended/built?spoof=XXXX

Connecting to XXXXXXX:80... conectado.

Petición HTTP enviada, esperando respuesta... 

409 Conflict

2013-03-04 17:19:10 ERROR 409: Conflict.

 With another host in the same foreman I dont have problems.

History

#1 - 03/04/2013 11:45 AM - francisco j valero

When I try to click "Cancel Build" button the pop-up say "Failed to cancel pending build for XXXXXXXXX" and foreman-proxy not show any logs about

this error ...

#2 - 03/05/2013 04:48 AM - francisco j valero

I could see that occurs if a host with the same mac exists in theforeman.

#3 - 03/14/2013 05:37 PM - Ohad Levy

you should probably get more info in foreman or the proxy logs while in debug mode?

#4 - 03/14/2013 05:37 PM - Ohad Levy

- Status changed from New to Need more information

- Target version deleted (1.2.0)

#5 - 02/28/2014 05:24 PM - Benjamin Papillon

- Status changed from Need more information to Feedback

Hello,

Do you still experience the issue? Can we close this ticket?

Regards

#6 - 06/16/2014 12:07 PM - Kjell Teirlynck

I am also encountering this issue but only, and only if the distro of the host I deploy is CentOS.

I run Foreman 1.5.0 on Ubuntu 14.04, when the host deployment finished up I can see him make the call but return a '409 - Conflict error'.
Any host I deploy with Ubuntu / Debian succesfully completes the call. If I deploy other distro's to the CentOS node the call also succeeds.

I am using the templates that were supplied by my installer.

The foreman logs are not showing much more than the OP originally supplied. My apache log also contained:

"GET /unattended/built?token=XXXXXXXXX HTTP/1.0" 409 1 "-" "Wget/1.12 (linux-gnu)"

Manually performing the call does not differ.

I'll gladly supply more information if needed.

#7 - 06/17/2014 03:04 PM - Kjell Teirlynck

I did some more logtailing today and noticed the 409 Error was due to an already existing PTR record for said host. These remove / re-add

themselves whenever the host is rebuild normally, right?

Even more stranger, it was added as and the call was being made for host.domain.dev.domain.dev and not host.domain.dev

After manually adjusting the records and removing the "option domainname"-directive from dhcpd.conf, I could then deploy CentOS 6.5 without

hassle, and the host correctly reported itself as built.

I think this happens because of the domainname directive specified in isc-dhcp itself, and the domain name supplied by the subnet definition in

Foreman are both appended to the hostname. (If and only if the host is CentOS in my case)

#8 - 06/21/2014 05:04 AM - Mike McCune

I experienced this today as well with a RHEL6 6.5 PXE provision attempt, got the 409 conflict at the last part of the %post with the "GET

/unattended/built?token=XXXXXXXXX HTTP/1.0".

Will try seeing if I take out the domainname directive from dhcpd.conf works around the issue in the short term.

#9 - 08/04/2014 05:10 AM - Joop van de Wege

This is probably related to issue 4375. The mentioned fix there works for me.

#10 - 09/18/2014 11:55 AM - Ville Liski

I faced this problem with EC2 Compute resource.

I changed Images UUID (AMI) to another and after that none of the new VM's were able to confirm built finished.

Running the wget command by hand revealed that VM got 409 Conflict -error from the Foreman server.

I changed old AMI back to Image and VM builds were again successfull. But I had to use our new AMI so I created another bogus Image to our

Compute Resource and used the original old AMI there. Now new VM's created from new AMi are build successfully.

I'll try to explain this better if someone is interested.

Foreman version 1.5.2
